<!-- This is the card definition file for cards of type: adrv1crr_bob
     Add <signal> elements for each signal in the slot
     See: https://wiki.analog.com/_media/resources/eval/user-guides/pzsdr/carriers/02_039931c_top.pdf -->
<card type="adrv9361_db_conn">
  <!-- device worker for 4x slider switches S1, S2, S3, S4 -->
  <device worker='gpi' name='gpi_dip_switch'>
    <property name="NUM_INPUTS" value="4"/>
    <signal name='GPI_PIN(0)' slot='IO_L23_12_JX2_N'/>      <!-- Y15  JX2-99 -->
    <signal name='GPI_PIN(1)' slot='IO_L24_12_JX4_P'/>      <!-- W16  JX4-13 -->
    <signal name='GPI_PIN(2)' slot='IO_L24_12_JX4_N'/>      <!-- W15  JX4-15 -->
    <signal name='GPI_PIN(3)' slot='IO_00_13_JX2'/>         <!-- V19  JX2-13 -->
  </device>
  <!-- device worker for 4x push buttons S6, S7, S8, S9 -->
  <device worker='gpi' name='gpi_push_button'>
    <property name="NUM_INPUTS" value="4"/>
    <signal name='GPI_PIN(0)' slot='IO_L12_MRCC_33_JX1_N'/> <!-- J3   JX1-83 -->
    <signal name='GPI_PIN(1)' slot='IO_L08_34_JX4_N'/>      <!-- D8   JX4-38 -->
    <signal name='GPI_PIN(2)' slot='IO_L09_34_JX4_P'/>      <!-- F9   JX4-41 -->
    <signal name='GPI_PIN(3)' slot='IO_L09_34_JX4_N'/>      <!-- E8   JX4-43 -->
  </device>
  <!-- device worker for 4x LEDs DS3, DS4, DS5, DS6 -->
  <device worker='gpo' name='gpo_led'>
    <property name="NUM_OUTPUTS" value="4"/>
    <signal name='GPO_PIN(0)' slot='IO_L17_34_JX4_N'/>      <!-- A8   JX4-69 -->
    <signal name='GPO_PIN(1)' slot='IO_00_12_JX4'/>         <!-- W14  JX4-14 -->
    <signal name='GPO_PIN(2)' slot='IO_25_12_JX4'/>         <!-- W17  JX4-16 -->
    <signal name='GPO_PIN(3)' slot='IO_L23_12_JX2_P'/>      <!-- Y16  JX2-97 -->
  </device>
  <!-- i2c devices include AD7291 & AT24C32 -->
  <!-- the AD7291 and AT24C32 are just I2C slave devices so there are no specific pins -->
  <device worker='ad7291'>
    <signal name='ALERT'      slot=''/>
    <signal name='PD_RST_N'   slot=''/>
  </device>
  <device worker='at24c32'/>
  <device worker='adrv1crr_bob_i2c'>
    <signal name='SCL'        slot='SCL'/>                  <!-- AF24 JX2-17 -->
    <signal name='SDA'        slot='SDA'/>                  <!-- AF25 JX2-19 -->
  </device>
</card>
